#! /bin/sh

# optimized atlas libraries must be created first (see README.optimized)
# this should be run in the directory where the optimized atlas libraries reside
# afterwards, copy the 3 dll's it creates to /usr/local/bin (may require admin priv)
# these will not be deleted or overwritten with upgrades of the stock cygwin package

cp ../../../lapack-3.0/lapack_LINUX.a lapack.a
mkdir tmp
cd tmp
ar x ../liblapack.a
ar r ../lapack.a *.o
cd ../; rm -rf tmp

gcc -shared -o cygatlas.dll \
-Wl,--enable-auto-image-base \
-Wl,--out-implib=libatlas.dll.a \
-Wl,--export-all-symbols \
-Wl,--enable-auto-import \
-Wl,--whole-archive libatlas.a  \
-Wl,--no-whole-archive -lg2c

gcc -shared -o cygblas.dll \
-Wl,--enable-auto-image-base \
-Wl,--out-implib=libblas.dll.a \
-Wl,--export-all-symbols \
-Wl,--enable-auto-import \
-Wl,--whole-archive libf77blas.a  libcblas.a \
-Wl,--no-whole-archive libatlas.dll.a -lg2c

gcc -shared -o cyglapack.dll \
-Wl,--enable-auto-image-base \
-Wl,--out-implib=liblapack.dll.a \
-Wl,--export-all-symbols \
-Wl,--enable-auto-import \
-Wl,--whole-archive lapack.a \
-Wl,--no-whole-archive libblas.dll.a libatlas.dll.a  -lg2c

strip *.dll
chmod 775 *.dll
